Bug 608471 - Does not work out of the box
Summary: Does not work out of the box
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: nodm (Show other bugs)
(Show other bugs)
Version: 13
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Sebastian Dziallas
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-27 17:21 UTC by Tom Atkinson
Modified: 2011-06-27 19:01 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 19:01:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tom Atkinson 2010-06-27 17:21:10 UTC
Description of problem:

nodm can't be executed from /etc/X11/prefdm

Version-Release number of selected component (if applicable):

nodm-0.6-2.fc13.x86_64
initscripts-9.12-1.fc13.x86_64

How reproducible:

Every time.

Steps to Reproduce:
1. Configure nodm using /etc/sysconfig/desktop

DISPLAYMANAGER=/usr/sbin/nodm
export NODM_USER="your_username"
export NODM_XSESSION=/etc/X11/xinit/Xsession

2. Configure a ~/.xsession

#!/bin/sh
xterm

3. Reboot
  
Actual results:

Blank screen.

Expected results:

Desktop containing terminal emulator.

Additional info:

prefdm calls nodm with the unknown option "-nodaemon" and it quits.

Comment 1 Bug Zapper 2011-06-01 15:26:44 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Bug Zapper 2011-06-27 19:01:35 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.